openapi: 3.0.0
info:
  version: 1.0.0
  title: Sample API
  description: openapi sample
servers:
  - url: http://localhost:5173
paths:
  /api/:
    get:
      description: センサデータ取得
      responses:
        '200':
          description: 正常レスポンス
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/sensor_info'
              examples:
                p001:
                  summary: p0001
                  value:
                    - measurement_time: '2024-03-29 00:00:00'
                      value: 100
                    - measurement_time: '2024-03-29 01:00:00'
                      value: 120
                    - measurement_time: '2024-03-29 02:00:00'
                      value: 140
                p002:
                  summary: p0002
                  value:
                    - measurement_time: '2024-03-30 00:00:00'
                      value: 200
                    - measurement_time: '2024-03-30 01:00:00'
                      value: 220
                    - measurement_time: '2024-03-30 02:00:00'
                      value: 340
components:
  schemas:
    sensor_info:
      type: object
      properties:
        measurement_time:
          type: string
          example: '2024-03-29 00:00:00'
        value:
          type: number
          example: 100.5
          nullable: true
      required:
        - measurement_time
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
